﻿using System.Collections.Generic;
using Stride.Core.Mathematics;

namespace ForceDirected
{
    public class FDNode
    {
        public Vector3 Position;
        public Vector3 Velocity;
        public float Mass;
        public string ID;
        public List<FDEdge> Parent;
        public List<FDEdge> Children;

        public FDNode(string id, Vector3 pos, float mass)
        {
            ID = id;

            Position = pos;
            Velocity = new Vector3(0);

            Mass = mass;

            Children = new List<FDEdge>();
            Parent = new List<FDEdge>();
        }

        public void Update(float deltaTime)
        {
            //calc position
            Position += Velocity * deltaTime;
        }

    }
}
